import mofashi
import logging
from telegram.ext import Updater
from telegram.ext import CommandHandler
from telegram.ext import MessageHandler, Filters
from . import token

# Updater
updater = Updater(token=token.api_token)
dispatcher = updater.dispatcher

# Logging
logging.basicConfig(format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
    level=logging.INFO)

# Command handling
def intro(bot, update):
    bot.send_message(chat_id=update.message.chat_id, text='<b>无可奉告</b>',
        parse_mode='HTML')

# Message handling
def quote(bot, update):
    bot.send_message(chat_id=update.message.chat_id, text=mofashi.quote())

# Set handler
start_handler = CommandHandler('start', intro)
help_handler = CommandHandler('help', intro)
message_handler = MessageHandler(Filters.text, quote)
dispatcher.add_handler(start_handler)
dispatcher.add_handler(help_handler)
dispatcher.add_handler(message_handler)

# Start/stop
def start():
    updater.start_polling()

def stop():
    updater.stop()
